Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Aug 2023 09:15:46 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 11 Aug 2023 02:23:03 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >     (setopt image-auto-resize nil)  ; <<<<<<<<<<<<<<<<<<<<<<
> >     (image-mode))
> 
> Yes, or add a `defvar' call.
> 
> > When I execute the modified version of the recipe, C-e does display
> > the red line on the right edge of the image.  So I cannot reproduce
> > the problem.
> 
> I think I can help: this seems to depend on the toolkit.  When I
> "./configure --with-x-toolkit=no" and build I see the right red line
> like you.
> 
> But with "./configure" and rebuilding I do not see it (i.e. I can
> reproduce the recipe).
> 
> This is on Gnu/Linux.

The OP is on MS-Windows, and there's just one "toolkit" there: the one
I'm using here in my MS-Windows builds.

But maybe there's some fine dependency on the frame geometry here; I
will take a closer look.  What bothers me is that the original recipe
signals an error, so I'm unsure what kind of code the OP ran to see
the problem to begin with.